Subject: Re: [PATCH] SolutionEngine SH771x: remove Ether support

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 14 Aug 2013 01:32:21 +0400

Hello.

On 08/13/2013 02:17 AM, I wrote:

> The 'sh_eth' driver's probe will crash as the platform code is hopelessly behind
> the platform data -- it passes PHY ID instead of 'struct sh_eth_plat_data *'.
> Even if it's fixed, the driver probe will fail as the 'struct sh_eth_cpu_data'
> indicates presence of TSU but the platform device resource  for it is absent.
> Since I have no data to fix it, I think it's best to remove the erratic code.

    After looking at the original driver, it seems I've got the necessary 
data... but both Ether controllers seems to have shared TSU which is not yet 
supported by the driver (there was a patch from Iwamatsu-san to implement it 
but it hasn't been merged).

> Signed-off-by: Sergei Shtylyov <[email-masked]>

WBR, Sergei